function bulge, x,y,p,rmax=rmax  ;
;create a bulge with an r^1/4 profile
;p=[effective SB, effective radius, q (axis ratio), shiftx, shifty, rot]

;x=abs(x)
;y=abs(y)
;p(0:2)=abs(p(0:2))


r=sqrt(x^2+(y/p(2))^2)
result=p(0)*exp(-1.*((r/p(1))^.25))
;stop

if keyword_set(rmax) then result(where(r gt rmax))=0


result=rot(result,p(5), /interp)        ;and rotate
result=shift(result, p(3),p(4) )        ;shift




return, result
end
