function sersic, x,y,p
;create a bulge or halo with a sersic profile
;p=[CSB, scale radius,q, index_n, xshift, yshift, rot]
;n=1 is an exponential, n=4 is a r^1/4 law.

x=abs(x)
y=abs(y)
;p=abs(p)


r=sqrt(x^2+(y/p(2))^2)
result=p(0)*exp(-1.*((r/p(1))^p(3)))

result=rot(result,p(6), /interp)        ;and rotate
result=shift(result, p(4),p(5) )        ;shift


return, result
end
